Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.xmla
Class XMLA_OlapModelTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              com.tonbeller.jpivot.tags.OlapModelTag
                  com.tonbeller.jpivot.xmla.XMLA_OlapModelTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class XMLA_OlapModelTag

extends OlapModelTag

JSP tag for XMLA Olap Model

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`XMLA_OlapModelTag()`

Method Summary
`java.lang.String` | `getCatalog()` Returns the catalog.
`java.lang.String` | `getConfig()` Returns the config.
`java.lang.String` | `getDataSource()` Returns the dataSource.
`protected OlapModel` | `getOlapModel(com.tonbeller.wcf.controller.RequestContext context)`
`java.lang.String` | `getUri()` Returns the uri.
`void` | `setCatalog(java.lang.String catalog)` Sets the catalog.
`void` | `setConfig(java.lang.String config)` Sets the config.
`void` | `setDataSource(java.lang.String dataSource)` Sets the dataSource.
`void` | `setUri(java.lang.String uri)` Sets the uri.

Methods inherited from class com.tonbeller.jpivot.tags.OlapModelTag
`addClickable, doEndTag, doStartTag, release, setQueryName, setStackMode`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### XMLA_OlapModelTag

    public XMLA_OlapModelTag()

Method Detail

### getOlapModel

    protected OlapModel getOlapModel(com.tonbeller.wcf.controller.RequestContext context)
                              throws org.xml.sax.SAXException,
                                     java.io.IOException,
                                     OlapException

  Specified by:
    `getOlapModel` in class `OlapModelTag`
  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`
    `OlapException`

### getConfig

    public java.lang.String getConfig()

  Returns the config.

  Returns:
    String

### setConfig

    public void setConfig(java.lang.String config)

  Sets the config.

  Parameters:
    `config` - The config to set

### getCatalog

    public java.lang.String getCatalog()

  Returns the catalog.

  Returns:
    String

### getDataSource

    public java.lang.String getDataSource()

  Returns the dataSource.

  Returns:
    String

### getUri

    public java.lang.String getUri()

  Returns the uri.

  Returns:
    String

### setCatalog

    public void setCatalog(java.lang.String catalog)

  Sets the catalog.

  Parameters:
    `catalog` - The catalog to set

### setDataSource

    public void setDataSource(java.lang.String dataSource)

  Sets the dataSource.

  Parameters:
    `dataSource` - The dataSource to set

### setUri

    public void setUri(java.lang.String uri)

  Sets the uri.

  Parameters:
    `uri` - The uri to set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD